# PSF-LoginServer - master - net.psforever.objects.serverobject.structures.Building
PSF - LoginServer - master - net.psforever.objects.serverobject.structures.Building
Keywords: PSF LoginServer master net.psforever.objects.serverobject.structures.Building

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package structures
  Definition Classes
    serverobject
- Amenity
- AmenityDefinition
- AmenityOwner
- AutoRepairStats
- Building
- BuildingDefinition
- FoundationBuilder
- PoweredAmenityControl
- SphereOfInfluence
- StructureType
- WarpGate
- WarpGateDefinition

c

net.psforever.objects.serverobject.structures

# Building 

###
Companion object Building

#### class Building extends AmenityOwner with BlockMapEntity

Source
  Building.scala

Linear Supertypes
BlockMapEntity, AmenityOwner, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any
Known Subclasses
WarpGate

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Building
2. BlockMapEntity
3. AmenityOwner
4. PlanetSideServerObject
5. ZoneAware
6. FactionAffinity
7. PlanetSideGameObject
8. WorldEntity
9. IdentifiableEntity
10. Identifiable
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Building(name: String, building_guid: Int, map_id: Int, zone: Zone, buildingType: StructureType, buildingDefinition: BuildingDefinition)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
5.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
6.  def Amenities: List[Amenity]
   Definition Classes
     AmenityOwner
7.  def Amenities_=(obj: Amenity): List[Amenity]
   Definition Classes
     AmenityOwner
8.  def BuildingType: StructureType
9.  def CaptureTerminal: Option[CaptureTerminal]
10.  def CaptureTerminalIsHacked: Boolean
11.  def Continent: String
    Definition Classes
      Building → ZoneAware
12.  def Continent_=(zone: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    returns

      the identifier of the `Zone` object

    Definition Classes
      Building → ZoneAware
13.  def Definition: BuildingDefinition
    Definition Classes
      Building → PlanetSideGameObject
14.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
15.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
16.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
17.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
18.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Building → FactionAffinity
19.  def Faction_=(fac: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      Building → FactionAffinity
20.  def ForceDomeActive: Boolean
21.  def ForceDomeActive_=(activated: Boolean): Boolean
22.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
23.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
24.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

25.  def Generator: Option[Generator]
26.  def GetFlag: Option[CaptureFlag]
27.  def GetFlagSocket: Option[CaptureFlagSocket]
28.  def HackableAmenities: List[Amenity with Hackable]
29.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
30.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
31.  def IsCapitol: Boolean
32.  def IsCtfBase: Boolean
33.  def IsSubCapitol: Boolean
34.  def MapId: Int

    The map_id is the identifier number used in BuildingInfoUpdateMessage.

    The map_id is the identifier number used in BuildingInfoUpdateMessage. This is the index that the building appears in the MPO file starting from index 1 The GUID is the identifier number used in SetEmpireMessage / Facility hacking / PlanetSideAttributeMessage.

35.  def Name: String
36.  def Neighbours(faction: types.PlanetSideEmpire.Value): Option[Set[Building]]
37.  def Neighbours: Option[Set[Building]]
38.  def NtuLevel: Int
39.  def NtuSource: Option[NtuContainer]
40.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
41.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
42.  def PlayersInSOI: List[Player]
43.  def PlayersInSOI_=(list: List[Player]): List[Player]
44.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
45.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
46.  def RemoveAmenity(obj: Amenity): List[Amenity]
    Definition Classes
      AmenityOwner
47.  def ResetControl(): ActorRef
    Definition Classes
      PlanetSideServerObject
48.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
49.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
50.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
51.  def Zone: Zone
    Definition Classes
      ZoneAware
52.  def Zone_=(zone: Zone): Zone

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    When assigning a new `Zone` object for the `Vehicle` object, eliminate

    zone

      a reference to the `Zone` object

    returns

      a reference to the `Zone` object

    Definition Classes
      Building → ZoneAware
53.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
54.  def blockMapEntry: Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
55.  def blockMapEntry_=(entry: Option[BlockMapEntry]): Option[BlockMapEntry]

    internal data regarding an active representation on a blockmap

    internal data regarding an active representation on a blockmap

    Definition Classes
      BlockMapEntity
56.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
57.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
58.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
59.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
60.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
61.  def hasLatticeBenefit(wantedBenefit: ObjectDefinition): Boolean
62.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
63.  def infoUpdateMessage(): BuildingInfoUpdateMessage
64.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
65.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
66.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
67.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
68.  def latticeBenefitsValue(): Int
69.  def latticeConnectedFacilityBenefits(): Set[ObjectDefinition]
70.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
71.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
72.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
73.  def sector(zone: Zone, range: Float): SectorPopulation

    Buckets in the blockmap are called "sectors".

    Buckets in the blockmap are called "sectors". Find the sectors in a given blockmap in which the entity would be represented within a given range.

    zone

      what region the blockmap represents

    range

      the custom distance from the central sector along the major axes

    returns

      a conglomerate sector which lists all of the entities in the allocated sector(s)

    Definition Classes
      BlockMapEntity
74.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
75.  def toString(): String
    Definition Classes
      Building → AnyRef → Any
76.  def updateBlockMapEntry(newCoords: Vector3): Boolean

    Update the internal data's known coordinate position without changing representation on whatever blockmap.

    Update the internal data's known coordinate position without changing representation on whatever blockmap. Has the potential to cause major issues with the blockmap if used without external checks.

    newCoords

      the coordinate position

    returns

      `true`, if the coordinates were updated; `false`, otherwise

    Definition Classes
      BlockMapEntity
77.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
78.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
79.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from BlockMapEntity

### Inherited from AmenityOwner

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped